Bug 1018141 - BPEL console user is logged out after refresh
BPEL console user is logged out after refresh
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: BPEL Integration (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity unspecified
: ER7
: 6.0.0
Assigned To: Eric Wittmann
lvaskova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 06:32 EDT by lvaskova
Modified: 2014-02-06 10:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lvaskova 2013-10-11 06:32:46 EDT
Description of problem:
BPEL console:
After trying to reload page, logged user is logged out.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. install jboss-eap-6.1
2. start ./standalone.xml
3. cd quickstarts/bpel-service/sayhello && mvn clean install
4. cp target/switchyard-quickstart-bpel-service-say-hello.jar standalone/deployments/.
5. access http://localhost:8080/bpel-console
6. log in
7. refresh page -> user is logged out

Actual results:


Expected results:


Additional info:
Comment 2 Eric Wittmann 2013-10-21 12:04:39 EDT
This has been fixed as a side effect of fixing the following BZ:

https://bugzilla.redhat.com/show_bug.cgi?id=1018898

The BPEL console now participates in the Overlord SSO.  This means there is no longer a custom login screen for the bpel console.  It also means that a refresh simply reloads the page.  If the user's SSO session has timed out, then she will need to log in again using the SSO login screen.  If not, SSO will kick in and the app will simply reload.
Comment 3 lvaskova 2013-12-11 08:03:09 EST
ER7 - Verified

Note You need to log in before you can comment on or make changes to this bug.